New version 17.0 fatal error

Страница 1/2
| 2

By Murilo Carmello

Resident (39)

Аватар пользователя Murilo Carmello

24-05-2021, 01:39

I just installed version 17 and runs Ok, but the catapult appears this message:

https://msx.pics/image/lPwNY

Image

Для того, чтобы оставить комментарий, необходимо регистрация или !login

By jvidal

Rookie (18)

Аватар пользователя jvidal

24-05-2021, 05:40

post deleted. read next post, please

By jvidal

Rookie (18)

Аватар пользователя jvidal

24-05-2021, 05:42

I'm seeing the exact same thing here, Windows 7 X64.
Previous versions worked just fine. The error is when trying to launch catapult.

Running openmsx.exe dircectly does work, though, but it'snot easy to cingure your machine.

By sdsnatcher73

Prophet (2150)

Аватар пользователя sdsnatcher73

24-05-2021, 08:58

I get the same error on Windows 10 21H1.

By Manuel

Ascended (18088)

Аватар пользователя Manuel

24-05-2021, 10:09

Thanks, I asked Vampier to take a look. This means the library version of wxWidgets doesn't match the header file, when compiling Catapult.

By ren

Paragon (1859)

Аватар пользователя ren

24-05-2021, 14:18

@Murilo: openMSX just started to work okay for you, or did you manage to fix it / find the problem?

By Manuel

Ascended (18088)

Аватар пользователя Manuel

24-05-2021, 15:20

ren: as he said, openMSX works, but Catapult doesn't. It's a problem of the built binary of Catapult. Nothing he could have done could have fixed it, except for properly compiling it himself (including the wxWidgets library code).

By ren

Paragon (1859)

Аватар пользователя ren

24-05-2021, 15:29

I know, but surely you remember the seemingly unresolvable issues he (and others apparently) were having? So I was referring to that. :)

By Manuel

Ascended (18088)

Аватар пользователя Manuel

24-05-2021, 17:47

Yeah, I don't know about these, but this particular case seems pretty clear. EDIT: ah, this is the same guy... OK. Then I'm also very interested to know Smile

By Manuel

Ascended (18088)

Аватар пользователя Manuel

24-05-2021, 19:41

OK, Vampier finished building in a new attempt Smile And he double checked it so that it works.

So, if you're on Windows please:
1. uninstall the current 17.0
2. (re)download the updated binary package
3. install again
4. try again and report here

Thanks and enjoy!

By jvidal

Rookie (18)

Аватар пользователя jvidal

24-05-2021, 20:02

thanks!!

Страница 1/2
| 2